unless window.coffeetable then window.coffeetable = {}
app = window.coffeetable

app.tooltips = {

	assign_tooltip: (target, text) ->

		###

		Causes `text` to appear in the #tooltips element whenever the user's mouse
		hovers over `target`; erases `text` from #tooltips on exit from `target`.

		###

		$(target).mouseenter(-> $('#tooltips').text(text))
		$(target).mouseleave(-> $('#tooltips').text(''))

	toggle_boxes: -> # "combine this row with union | intersection"
		$(".toggle-box li").each((i, el) ->
			type = if $(el).text() == 'or' then 'union' else 'intersection'
			app.tooltips.assign_tooltip(el, 
				"combine this row with #{type}"))

	activator: (target) -> 
		app.tooltips.assign_tooltip(target, 
			"toggle active (bold and read) or inactive (faded and ignored)")

	up_and_down_buttons: (button, amt, type) -> # type could be 'step' or 'offset'
		action = if amt > 0 then 'raise' else 'lower'
		app.tooltips.assign_tooltip(button, 
			"press to #{action} the #{type}")
}